function Ainv=PLQDM(Ct,Rmax_Cbp,K,n,Xo,A0,A1)
NCt=length(Ct);
Ainv=zeros(NCt,1);
for ii=1:NCt
Ainv(ii)=1/A0+(1/A1 - 1/A0)*fzero(@(x) x- ( ( ((Ct(ii)-Rmax_Cbp*x)*K).^n )./( 1 + ((Ct(ii)-Rmax_Cbp*x)*K).^n ) ),Xo);
end
end

% This file uses the one-site version of the quenched-disorder statistical
% model for persistence length fitting, with two local persistence lengths A0 and A1.
%The function "Ainv" can be easily  changed (see Section 9.2.3 of the book) to account
%for the two-sites version of the model. 