function AumenL=CL(Ct,Cbp,gamma_Rmax,Xo,N,K)
NCt=length(Ct);
AumenL=zeros(NCt,1);
for ii=1:NCt
AumenL(ii)=gamma_Rmax*(fzero(@(x) x- (Ct(ii) - x*Cbp/N)*N*K*(1-x)*((1-x)./(1-x+x/N)).^(N-1),Xo));
end
end


% This file uses the contour length model for intercalators presented in
% Section 9.2.2 of the book.
%The function "AumenL" can be easily changed to another binding isotherm;
%the default above is the McGhee - von Hippel model.